--=======================================================================================================================
-- IMPROVEMENT ART DEFINES
--=======================================================================================================================	
-- ArtDefine_LandmarkTypes
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_LandmarkTypes
		(Type,								LandmarkType,	FriendlyName)
VALUES	('ART_DEF_IMPROVEMENT_JAR_MALOCA',	'Improvement',	'Maloca');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_StrategicView
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType,					TileType,		Asset) 
VALUES	('ART_DEF_IMPROVEMENT_JAR_MALOCA',	'Improvement',	'sv_MALOCA.dds');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_Landmarks
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO ArtDefine_Landmarks 
		(Era,	State,					Scale,	ImprovementType,					LayoutHandler,	ResourceType,			Model,				TerrainContour)
VALUES	('Any', 'UnderConstruction',	1,  	'ART_DEF_IMPROVEMENT_JAR_MALOCA',	'SNAPSHOT',		'ART_DEF_RESOURCE_ALL',	'maloca_hb.fxsxml',	1),
		('Any', 'Constructed',			1,  	'ART_DEF_IMPROVEMENT_JAR_MALOCA',	'SNAPSHOT',		'ART_DEF_RESOURCE_ALL',	'maloca.fxsxml',	1),
		('Any', 'Pillaged',				1,  	'ART_DEF_IMPROVEMENT_JAR_MALOCA',	'SNAPSHOT',		'ART_DEF_RESOURCE_ALL',	'maloca_pl.fxsxml',	1);
--=======================================================================================================================
-- UNIT ART DEFINES
--=======================================================================================================================	
-- ArtDefine_StrategicView
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType, 				TileType,	Asset)
VALUES	('ART_DEF_UNIT_JAR_NHEENGAIBAS',	'Unit', 	'sv_guarani.dds'),
		('ART_DEF_UNIT_JAR_SNAKE_CANOE',	'Unit', 	'sv_SnakeCanoe.dds');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitInfos
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO ArtDefine_UnitInfos 
		(Type, 							DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_JAR_NHEENGAIBAS',	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_COMPOSITE_BOWMAN';
	
INSERT INTO ArtDefine_UnitInfos 
		(Type, 							DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_JAR_SNAKE_CANOE',	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_VP_LIBURNA';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitInfoMemberInfos
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
		(UnitInfoType,						UnitMemberInfoType,						NumMembers)
SELECT	'ART_DEF_UNIT_JAR_NHEENGAIBAS', 	'ART_DEF_UNIT_MEMBER_JAR_NHEENGAIBAS',	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_COMPOSITE_BOWMAN';

INSERT INTO ArtDefine_UnitInfoMemberInfos 	
		(UnitInfoType,						UnitMemberInfoType,						NumMembers)
SELECT	'ART_DEF_UNIT_JAR_SNAKE_CANOE', 	'ART_DEF_UNIT_MEMBER_JAR_SNAKE_CANOE',	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_VP_LIBURNA';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitMemberCombats
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
		(UnitMemberType,						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT	'ART_DEF_UNIT_MEMBER_JAR_NHEENGAIBAS',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_ARCHER';

INSERT INTO ArtDefine_UnitMemberCombats 
		(UnitMemberType,						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT	'ART_DEF_UNIT_MEMBER_JAR_SNAKE_CANOE',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_VP_LIBURNA';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitMemberCombatWeapons
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
		(UnitMemberType,						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_JAR_NHEENGAIBAS',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_ARCHER';

INSERT INTO ArtDefine_UnitMemberCombatWeapons	
		(UnitMemberType,						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_JAR_SNAKE_CANOE',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_VP_LIBURNA';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitMemberInfos
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitMemberInfos 	
		(Type, 									Scale,  ZOffset, Domain, Model, 			MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_JAR_NHEENGAIBAS',	Scale,	ZOffset, Domain, 'guarani.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE (Type = 'ART_DEF_UNIT_MEMBER_ARCHER');

INSERT INTO ArtDefine_UnitMemberInfos 	
		(Type, 									Scale,	ZOffset, Domain, Model, 			MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_JAR_SNAKE_CANOE',	0.075,	ZOffset, Domain, 'canoe.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_VP_LIBURNA';
--=======================================================================================================================
-- AUDIO
--=======================================================================================================================
-- Audio_Sounds
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_Sounds 
		(SoundID, 									Filename, 			LoadType)
VALUES	('SND_LEADER_MUSIC_JAR_MARAJOARA_PEACE', 	'Jar_MarajoaraPeace.mp3', 	'DynamicResident'),
		('SND_LEADER_MUSIC_JAR_MARAJOARA_WAR', 		'Jar_MarajoaraWar.mp3', 	'DynamicResident');		
------------------------------------------------------------------------------------------------------------------------
-- Audio_2DSounds
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_2DSounds 
		(ScriptID, 									SoundID, 								SoundType, 		TaperSoundtrackVolume,	MinVolume, 	MaxVolume,	IsMusic, Looping)
VALUES	('AS2D_AMBIENCE_LEADER_JAR_MARAJOARA_AMBIENCE',	'SND_AMBIENCE_COAST_BED', 			'GAME_SFX', 	0.0,					50, 		50, 		0, 		 1),
		('AS2D_LEADER_MUSIC_JAR_MARAJOARA_PEACE',	'SND_LEADER_MUSIC_JAR_MARAJOARA_PEACE',	'GAME_MUSIC', 	-1.0,					50, 		50, 		1, 		 0),
		('AS2D_LEADER_MUSIC_JAR_MARAJOARA_WAR', 	'SND_LEADER_MUSIC_JAR_MARAJOARA_WAR', 	'GAME_MUSIC', 	-1.0,					50, 		50, 		1,		 0);
--=======================================================================================================================
-- COLOURS
--=======================================================================================================================
-- Colors
------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Colors
		(Type,										Red,		Green,		Blue,		Alpha)
VALUES	('COLOR_PLAYER_JAR_MARAJOARA_ICON',			0.914,		0.612,		0.463,		1.0),
		('COLOR_PLAYER_JAR_MARAJOARA_BACKGROUND',	0.533,		0.149,		0.224,		1.0);
------------------------------------------------------------------------------------------------------------------------
-- PlayerColors
------------------------------------------------------------------------------------------------------------------------			
INSERT INTO PlayerColors 
		(Type, 							PrimaryColor, 						SecondaryColor, 						 TextColor)
VALUES	('PLAYERCOLOR_JAR_MARAJOARA',	'COLOR_PLAYER_JAR_MARAJOARA_ICON',	'COLOR_PLAYER_JAR_MARAJOARA_BACKGROUND', 'COLOR_PLAYER_WHITE_TEXT');
--=======================================================================================================================
-- ICON ATLASES
--=======================================================================================================================	
-- IconTextureAtlases
------------------------------------------------------------------------------------------------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 						IconSize, 	Filename, 						IconsPerRow, 	IconsPerColumn)
VALUES	('JAR_MARAJOARA_ALPHA_ATLAS',		128, 	'Marajoara_IconAtlas128.dds',			1,				2),
		('JAR_MARAJOARA_ALPHA_ATLAS',		80, 	'Marajoara_IconAtlas080.dds',			1, 				2),
		('JAR_MARAJOARA_ALPHA_ATLAS',		64, 	'Marajoara_IconAtlas064.dds',			1, 				2),
		('JAR_MARAJOARA_ALPHA_ATLAS',		48, 	'Marajoara_IconAtlas048.dds',			1, 				2),
		('JAR_MARAJOARA_ALPHA_ATLAS',		45, 	'Marajoara_IconAtlas045.dds',			1, 				2),
		('JAR_MARAJOARA_ALPHA_ATLAS',		32, 	'Marajoara_IconAtlas032.dds',			1, 				2),
		('JAR_MARAJOARA_ALPHA_ATLAS',		24, 	'Marajoara_IconAtlas024.dds',			1, 				2),
		('JAR_MARAJOARA_ALPHA_ATLAS',		16, 	'Marajoara_IconAtlas016.dds',			1, 				2),
		('JAR_MARAJOARA_ICON_ATLAS', 		256, 	'Marajoara_IconAtlas256.dds',			4, 				2),
		('JAR_MARAJOARA_ICON_ATLAS', 		128, 	'Marajoara_IconAtlas128.dds',			4, 				2),
		('JAR_MARAJOARA_ICON_ATLAS', 		80, 	'Marajoara_IconAtlas080.dds',			4, 				2),
		('JAR_MARAJOARA_ICON_ATLAS', 		64, 	'Marajoara_IconAtlas064.dds',			4, 				2),
		('JAR_MARAJOARA_ICON_ATLAS', 		45, 	'Marajoara_IconAtlas045.dds',			4, 				2),
		('JAR_MARAJOARA_ICON_ATLAS', 		32, 	'Marajoara_IconAtlas032.dds',			4, 				2),
		('UNIT_JAR_NHEENGAIBAS_FLAG', 		32, 	'flag_guarani.dds',						1, 				1),
		('UNIT_JAR_SNAKE_CANOE_FLAG', 		32, 	'flag_SnakeCanoe.dds',					1, 				1),
		('JAR_MARAJOARA_PROMO_ATLAS', 		256, 	'Jar_Marajoara_PI_256.dds',				2,				1),
		('JAR_MARAJOARA_PROMO_ATLAS', 		64, 	'Jar_Marajoara_PI_064.dds',				2,				1),
		('JAR_MARAJOARA_PROMO_ATLAS', 		45, 	'Jar_Marajoara_PI_045.dds',				2,				1),
		('JAR_MARAJOARA_PROMO_ATLAS', 		32, 	'Jar_Marajoara_PI_032.dds',				2,				1),
		('JAR_MARAJOARA_PROMO_ATLAS', 		16, 	'Jar_Marajoara_PI_016.dds',				2,				1);
--=======================================================================================================================	
--=======================================================================================================================	
