--=======================================================================================================================
-- MASTER TABLES
--=======================================================================================================================
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_PLOT';
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_NEW_ERA';
--=======================================================================================================================
-- BUILDINGCLASSES
--=======================================================================================================================
-- BuildingClasses
------------------------------
INSERT OR REPLACE INTO BuildingClasses 
		(DefaultBuilding, 		Type, 						Description)
VALUES	('BUILDING_JAR_TESO_2',	'BUILDINGCLASS_JAR_TESO_2',	'TXT_KEY_BUILDING_JAR_TESO_2'),
		('BUILDING_JAR_TESO_3',	'BUILDINGCLASS_JAR_TESO_3',	'TXT_KEY_BUILDING_JAR_TESO_3'),
		('BUILDING_JAR_TESO_4',	'BUILDINGCLASS_JAR_TESO_4',	'TXT_KEY_BUILDING_JAR_TESO_4'),
		('BUILDING_JAR_TESO_5',	'BUILDINGCLASS_JAR_TESO_5',	'TXT_KEY_BUILDING_JAR_TESO_5'),
		('BUILDING_JAR_TESO_6',	'BUILDINGCLASS_JAR_TESO_6',	'TXT_KEY_BUILDING_JAR_TESO_6'),
		('BUILDING_JAR_TESO_7',	'BUILDINGCLASS_JAR_TESO_7',	'TXT_KEY_BUILDING_JAR_TESO_7'),
		('BUILDING_JAR_TESO_8',	'BUILDINGCLASS_JAR_TESO_8',	'TXT_KEY_BUILDING_JAR_TESO_8'),
		('BUILDING_JAR_TESO_9',	'BUILDINGCLASS_JAR_TESO_9',	'TXT_KEY_BUILDING_JAR_TESO_9'),
		('BUILDING_JAR_TESO_D2','BUILDINGCLASS_JAR_TESO_D2','TXT_KEY_BUILDING_JAR_TESO_2'),
		('BUILDING_JAR_TESO_D3','BUILDINGCLASS_JAR_TESO_D3','TXT_KEY_BUILDING_JAR_TESO_3'),
		('BUILDING_JAR_TESO_D4','BUILDINGCLASS_JAR_TESO_D4','TXT_KEY_BUILDING_JAR_TESO_4'),
		('BUILDING_JAR_TESO_D5','BUILDINGCLASS_JAR_TESO_D5','TXT_KEY_BUILDING_JAR_TESO_5'),
		('BUILDING_JAR_TESO_D6','BUILDINGCLASS_JAR_TESO_D6','TXT_KEY_BUILDING_JAR_TESO_6'),
		('BUILDING_JAR_TESO_D7','BUILDINGCLASS_JAR_TESO_D7','TXT_KEY_BUILDING_JAR_TESO_7'),
		('BUILDING_JAR_TESO_D8','BUILDINGCLASS_JAR_TESO_D8','TXT_KEY_BUILDING_JAR_TESO_8'),
		('BUILDING_JAR_TESO_D9','BUILDINGCLASS_JAR_TESO_D9','TXT_KEY_BUILDING_JAR_TESO_9');
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================	
-- Buildings
------------------------------	
INSERT INTO Buildings
		(Type, 					BuildingClass,	Cost,				GoldMaintenance,	FaithCost, UnlockedByBelief, PrereqTech,	Help,								Description,					Civilopedia,						Strategy,								ArtDefineTag,	MinAreaSize,	HurryCostModifier,	NeverCapture,	IconAtlas,			PortraitIndex)
SELECT	'BUILDING_JAR_TESO',	BuildingClass,	round(Cost*1.1),	GoldMaintenance,	FaithCost, UnlockedByBelief, PrereqTech,	('TXT_KEY_BUILDING_JAR_TESO_HELP'),	('TXT_KEY_BUILDING_JAR_TESO'),	('TXT_KEY_BUILDING_JAR_TESO_TEXT'),	('TXT_KEY_BUILDING_JAR_TESO_STRATEGY'),	ArtDefineTag,	MinAreaSize,	HurryCostModifier,	1,				'JAR_MARAJOARA_ICON_ATLAS',	6
FROM Buildings WHERE (Type = 'BUILDING_WELL');
UPDATE Buildings SET Defense= 500, FoodKept=4 WHERE Type= 'BUILDING_JAR_TESO';

INSERT INTO Buildings
		(ShowInPedia,	CivilizationRequired,			Type, 					BuildingClass,				Cost,				Defense, 	FoodKept,	GoldMaintenance,	FaithCost, 	PrereqTech,	Help,									Description,					 ArtDefineTag,	MinAreaSize,	HurryCostModifier,	NeverCapture,	IconAtlas,			PortraitIndex)
SELECT		0,			'CIVILIZATION_JAR_MARAJOARA',	'BUILDING_JAR_TESO_2',	'BUILDINGCLASS_JAR_TESO_2',	round(Cost*1.1),	100,		2,			GoldMaintenance,	-1, 		PrereqTech,	('TXT_KEY_BUILDING_JAR_TESO2_HELP'),	('TXT_KEY_BUILDING_JAR_TESO_2'), ArtDefineTag,	MinAreaSize,	HurryCostModifier,	1,			'JAR_MARAJOARA_ICON_ATLAS',	6 FROM Buildings WHERE (Type = 'BUILDING_WELL') UNION ALL
SELECT		0,			'CIVILIZATION_JAR_MARAJOARA',	'BUILDING_JAR_TESO_3',	'BUILDINGCLASS_JAR_TESO_3',	round(Cost*1.1),	100,		2,			GoldMaintenance,	-1, 		PrereqTech,	('TXT_KEY_BUILDING_JAR_TESO2_HELP'),	('TXT_KEY_BUILDING_JAR_TESO_3'), ArtDefineTag,	MinAreaSize,	HurryCostModifier,	1,			'JAR_MARAJOARA_ICON_ATLAS',	6 FROM Buildings WHERE (Type = 'BUILDING_WELL') UNION ALL
SELECT		0,			'CIVILIZATION_JAR_MARAJOARA',	'BUILDING_JAR_TESO_4',	'BUILDINGCLASS_JAR_TESO_4',	round(Cost*1.1),	100,		2,			GoldMaintenance,	-1, 		PrereqTech,	('TXT_KEY_BUILDING_JAR_TESO2_HELP'),	('TXT_KEY_BUILDING_JAR_TESO_4'), ArtDefineTag,	MinAreaSize,	HurryCostModifier,	1,			'JAR_MARAJOARA_ICON_ATLAS',	6 FROM Buildings WHERE (Type = 'BUILDING_WELL') UNION ALL
SELECT		0,			'CIVILIZATION_JAR_MARAJOARA',	'BUILDING_JAR_TESO_5',	'BUILDINGCLASS_JAR_TESO_5',	round(Cost*1.1),	100,		2,			GoldMaintenance,	-1, 		PrereqTech,	('TXT_KEY_BUILDING_JAR_TESO2_HELP'),	('TXT_KEY_BUILDING_JAR_TESO_5'), ArtDefineTag,	MinAreaSize,	HurryCostModifier,	1,			'JAR_MARAJOARA_ICON_ATLAS',	6 FROM Buildings WHERE (Type = 'BUILDING_WELL') UNION ALL
SELECT		0,			'CIVILIZATION_JAR_MARAJOARA',	'BUILDING_JAR_TESO_6',	'BUILDINGCLASS_JAR_TESO_6',	round(Cost*1.1),	100,		2,			GoldMaintenance,	-1, 		PrereqTech,	('TXT_KEY_BUILDING_JAR_TESO2_HELP'),	('TXT_KEY_BUILDING_JAR_TESO_6'), ArtDefineTag,	MinAreaSize,	HurryCostModifier,	1,			'JAR_MARAJOARA_ICON_ATLAS',	6 FROM Buildings WHERE (Type = 'BUILDING_WELL') UNION ALL
SELECT		0,			'CIVILIZATION_JAR_MARAJOARA',	'BUILDING_JAR_TESO_7',	'BUILDINGCLASS_JAR_TESO_7',	round(Cost*1.1),	100,		2,			GoldMaintenance,	-1, 		PrereqTech,	('TXT_KEY_BUILDING_JAR_TESO2_HELP'),	('TXT_KEY_BUILDING_JAR_TESO_7'), ArtDefineTag,	MinAreaSize,	HurryCostModifier,	1,			'JAR_MARAJOARA_ICON_ATLAS',	6 FROM Buildings WHERE (Type = 'BUILDING_WELL') UNION ALL
SELECT		0,			'CIVILIZATION_JAR_MARAJOARA',	'BUILDING_JAR_TESO_8',	'BUILDINGCLASS_JAR_TESO_8',	round(Cost*1.1),	100,		2,			GoldMaintenance,	-1, 		PrereqTech,	('TXT_KEY_BUILDING_JAR_TESO2_HELP'),	('TXT_KEY_BUILDING_JAR_TESO_8'), ArtDefineTag,	MinAreaSize,	HurryCostModifier,	1,			'JAR_MARAJOARA_ICON_ATLAS',	6 FROM Buildings WHERE (Type = 'BUILDING_WELL') UNION ALL
SELECT		0,			'CIVILIZATION_JAR_MARAJOARA',	'BUILDING_JAR_TESO_9',	'BUILDINGCLASS_JAR_TESO_9',	round(Cost*1.1),	100,		2,			GoldMaintenance,	-1, 		PrereqTech,	('TXT_KEY_BUILDING_JAR_TESO2_HELP'),	('TXT_KEY_BUILDING_JAR_TESO_9'), ArtDefineTag,	MinAreaSize,	HurryCostModifier,	1,			'JAR_MARAJOARA_ICON_ATLAS',	6 FROM Buildings WHERE (Type = 'BUILDING_WELL');

INSERT OR REPLACE INTO Buildings
(Type, 						 BuildingClass, 				IsDummy,	Cost,	FaithCost,	GreatWorkCount,	PrereqTech,	MinAreaSize,	NeverCapture,	Description, 							Help) VALUES	
('BUILDING_JAR_TESO_D2', 	'BUILDINGCLASS_JAR_TESO_D2',	1,			-1,		-1,			-1,				null,		-1,				1,				'TXT_KEY_BUILDING_JAR_TESO_2',	'TXT_KEY_BUILDING_JAR_TESO_2'),
('BUILDING_JAR_TESO_D3', 	'BUILDINGCLASS_JAR_TESO_D3',	1,			-1,		-1,			-1,				null,		-1,				1,				'TXT_KEY_BUILDING_JAR_TESO_3',	'TXT_KEY_BUILDING_JAR_TESO_3'),
('BUILDING_JAR_TESO_D4', 	'BUILDINGCLASS_JAR_TESO_D4',	1,			-1,		-1,			-1,				null,		-1,				1,				'TXT_KEY_BUILDING_JAR_TESO_4',	'TXT_KEY_BUILDING_JAR_TESO_4'),
('BUILDING_JAR_TESO_D5', 	'BUILDINGCLASS_JAR_TESO_D5',	1,			-1,		-1,			-1,				null,		-1,				1,				'TXT_KEY_BUILDING_JAR_TESO_5',	'TXT_KEY_BUILDING_JAR_TESO_5'),
('BUILDING_JAR_TESO_D6', 	'BUILDINGCLASS_JAR_TESO_D6',	1,			-1,		-1,			-1,				null,		-1,				1,				'TXT_KEY_BUILDING_JAR_TESO_6',	'TXT_KEY_BUILDING_JAR_TESO_6'),
('BUILDING_JAR_TESO_D7', 	'BUILDINGCLASS_JAR_TESO_D7',	1,			-1,		-1,			-1,				null,		-1,				1,				'TXT_KEY_BUILDING_JAR_TESO_7',	'TXT_KEY_BUILDING_JAR_TESO_7'),
('BUILDING_JAR_TESO_D8', 	'BUILDINGCLASS_JAR_TESO_D8',	1,			-1,		-1,			-1,				null,		-1,				1,				'TXT_KEY_BUILDING_JAR_TESO_8',	'TXT_KEY_BUILDING_JAR_TESO_8'),
('BUILDING_JAR_TESO_D9', 	'BUILDINGCLASS_JAR_TESO_D9',	1,			-1,		-1,			-1,				null,		-1,				1,				'TXT_KEY_BUILDING_JAR_TESO_9',	'TXT_KEY_BUILDING_JAR_TESO_9');
------------------------------	
-- Building_Flavors
------------------------------		
INSERT INTO Building_Flavors 	
		(BuildingType, 			FlavorType,				Flavor)
SELECT	'BUILDING_JAR_TESO',	'FLAVOR_CITY_DEFENSE',	15 UNION ALL
SELECT	'BUILDING_JAR_TESO',	'FLAVOR_EXPANSION',		5 UNION ALL
SELECT	'BUILDING_JAR_TESO',	FlavorType,				Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_WELL') UNION ALL
SELECT	'BUILDING_JAR_TESO_2',	FlavorType,				Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_WELL') UNION ALL
SELECT	'BUILDING_JAR_TESO_3',	FlavorType,				Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_WELL') UNION ALL
SELECT	'BUILDING_JAR_TESO_4',	FlavorType,				Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_WELL') UNION ALL
SELECT	'BUILDING_JAR_TESO_5',	FlavorType,				Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_WELL') UNION ALL
SELECT	'BUILDING_JAR_TESO_6',	FlavorType,				Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_WELL') UNION ALL
SELECT	'BUILDING_JAR_TESO_7',	FlavorType,				Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_WELL') UNION ALL
SELECT	'BUILDING_JAR_TESO_8',	FlavorType,				Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_WELL') UNION ALL
SELECT	'BUILDING_JAR_TESO_9',	FlavorType,				Flavor FROM Building_Flavors WHERE (BuildingType = 'BUILDING_WELL');
------------------------------	
-- Building_YieldChanges
------------------------------
INSERT INTO Building_YieldChanges 	
		(BuildingType, 			YieldType,	Yield)
SELECT	'BUILDING_JAR_TESO',	YieldType,	Yield FROM Building_YieldChanges WHERE (BuildingType = 'BUILDING_WATERMILL') UNION ALL
SELECT	'BUILDING_JAR_TESO',	'YIELD_FAITH', 1;

INSERT INTO Building_YieldChanges 	
		(BuildingType, 	YieldType,		Yield)
SELECT	Type,			'YIELD_FOOD',		1 FROM Buildings WHERE Type IN ('BUILDING_JAR_TESO_2', 'BUILDING_JAR_TESO_3', 'BUILDING_JAR_TESO_4','BUILDING_JAR_TESO_5','BUILDING_JAR_TESO_6','BUILDING_JAR_TESO_7','BUILDING_JAR_TESO_8','BUILDING_JAR_TESO_9') UNION ALL
SELECT	Type,			'YIELD_PRODUCTION',	2 FROM Buildings WHERE Type IN ('BUILDING_JAR_TESO_2', 'BUILDING_JAR_TESO_3', 'BUILDING_JAR_TESO_4','BUILDING_JAR_TESO_5','BUILDING_JAR_TESO_6','BUILDING_JAR_TESO_7','BUILDING_JAR_TESO_8','BUILDING_JAR_TESO_9');
------------------------------	
-- Building_YieldChangesPerPop
------------------------------
INSERT INTO Building_YieldChangesPerPop
		(BuildingType, 		YieldType, 	Yield)
SELECT	'BUILDING_JAR_TESO',YieldType,	Yield FROM Building_YieldChangesPerPop WHERE (BuildingType = 'BUILDING_WELL');
------------------------------
-- Building_ResourceYieldChanges
------------------------------
INSERT INTO Building_ResourceYieldChanges
		(BuildingType, 			ResourceType, 		YieldType, Yield)
SELECT	'BUILDING_JAR_TESO', 	ResourceType, 		YieldType, Yield
FROM Building_ResourceYieldChanges WHERE BuildingType='BUILDING_WELL';
------------------------------	
-- Building_ClassesNeededInCity
------------------------------		
INSERT INTO Building_ClassesNeededInCity 	
		(BuildingType, 			BuildingClassType)
SELECT	'BUILDING_JAR_TESO_2',	'BUILDINGCLASS_JAR_TESO_D2' UNION ALL
SELECT	'BUILDING_JAR_TESO_3',	'BUILDINGCLASS_JAR_TESO_D3' UNION ALL
SELECT	'BUILDING_JAR_TESO_4',	'BUILDINGCLASS_JAR_TESO_D4' UNION ALL
SELECT	'BUILDING_JAR_TESO_5',	'BUILDINGCLASS_JAR_TESO_D5' UNION ALL
SELECT	'BUILDING_JAR_TESO_6',	'BUILDINGCLASS_JAR_TESO_D6' UNION ALL
SELECT	'BUILDING_JAR_TESO_7',	'BUILDINGCLASS_JAR_TESO_D7' UNION ALL
SELECT	'BUILDING_JAR_TESO_8',	'BUILDINGCLASS_JAR_TESO_D8' UNION ALL
SELECT	'BUILDING_JAR_TESO_9',	'BUILDINGCLASS_JAR_TESO_D9';
--==========================================================================================================================
-- Improvements
--==========================================================================================================================
-- Improvements
--------------------------------
INSERT INTO Improvements
		(Type,						Description,						Civilopedia, 							Help,									ArtDefineTag,					SpecificCivRequired,	CivilizationType,		PillageGold, Permanent,	IconAtlas,				PortraitIndex)
VALUES	('IMPROVEMENT_JAR_MALOCA',	'TXT_KEY_IMPROVEMENT_JAR_MALOCA',	'TXT_KEY_IMPROVEMENT_JAR_MALOCA_TEXT',	'TXT_KEY_IMPROVEMENT_JAR_MALOCA_HELP',	'ART_DEF_IMPROVEMENT_JAR_MALOCA',	1,					'CIVILIZATION_JAR_MARAJOARA',	20,			0,	'JAR_MARAJOARA_ICON_ATLAS',	2);
UPDATE Improvements SET	BuildableOnResources = 1 WHERE Type = 'IMPROVEMENT_JAR_MALOCA';
------------------------------	
-- Improvement_ResourceTypes
------------------------------		
INSERT INTO Improvement_ResourceTypes
		(ImprovementType, 					ResourceType)
SELECT DISTINCT	'IMPROVEMENT_JAR_MALOCA',	Type FROM Resources WHERE LandResource= 1;
------------------------------	
-- Improvement_ValidFeatures
------------------------------		
INSERT INTO Improvement_ValidFeatures
		(ImprovementType, 	FeatureType)
SELECT 'IMPROVEMENT_JAR_MALOCA', Type FROM Features WHERE Type IN ('FEATURE_FOREST','FEATURE_JUNGLE','FEATURE_MARSH');
------------------------------	
-- Improvement_Flavors
------------------------------		
INSERT INTO Improvement_Flavors	
		(ImprovementType, 				FlavorType,			Flavor)
VALUES	('IMPROVEMENT_JAR_MALOCA',	'FLAVOR_CULTURE',		15),
		('IMPROVEMENT_JAR_MALOCA',	'FLAVOR_PRODUCTION',	15),
		('IMPROVEMENT_JAR_MALOCA',	'FLAVOR_GROWTH',		15);
------------------------------	
-- Improvement_Yields
------------------------------		
INSERT INTO Improvement_Yields 	
		(ImprovementType, 			YieldType,			Yield)
VALUES	('IMPROVEMENT_JAR_MALOCA',	'YIELD_FOOD',		1),
		('IMPROVEMENT_JAR_MALOCA',	'YIELD_PRODUCTION',	1),
		('IMPROVEMENT_JAR_MALOCA',	'YIELD_CULTURE',	1);
------------------------------
-- Improvement_TechYieldChanges
------------------------------
INSERT INTO Improvement_TechYieldChanges
		(ImprovementType,			TechType,				YieldType,			Yield)
SELECT	'IMPROVEMENT_JAR_MALOCA',	'TECH_CHEMISTRY',		'YIELD_FOOD',		1 UNION ALL
SELECT	'IMPROVEMENT_JAR_MALOCA',	'TECH_CHEMISTRY',		'YIELD_GOLD',		1 UNION ALL
SELECT	'IMPROVEMENT_JAR_MALOCA',	'TECH_ECONOMICS',		'YIELD_GOLD',		1 UNION ALL
SELECT	'IMPROVEMENT_JAR_MALOCA',	'TECH_INDUSTRIALIZATION','YIELD_PRODUCTION',1 UNION ALL
SELECT	'IMPROVEMENT_JAR_MALOCA',	'TECH_BIOLOGY',			'YIELD_FOOD',		1 UNION ALL
SELECT	'IMPROVEMENT_JAR_MALOCA',	'TECH_BIOLOGY',			'YIELD_SCIENCE',	2;
------------------------------
-- Policy_ImprovementYieldChanges
------------------------------
INSERT INTO Policy_ImprovementYieldChanges
		(PolicyType,	ImprovementType,			YieldType,			Yield)
SELECT	 PolicyType,	'IMPROVEMENT_JAR_MALOCA',	YieldType,			Yield
from Policy_ImprovementYieldChanges where ImprovementType = 'IMPROVEMENT_PLANTATION' UNION ALL
SELECT	 PolicyType,	'IMPROVEMENT_JAR_MALOCA',	YieldType, Yield
FROM Policy_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MOAI';
------------------------------
-- Belief_ImprovementYieldChanges
------------------------------	
INSERT INTO Belief_ImprovementYieldChanges
		(BeliefType, 	ImprovementType, 			YieldType, Yield)
SELECT	 BeliefType,	'IMPROVEMENT_JAR_MALOCA',	YieldType, Yield
FROM Belief_ImprovementYieldChanges WHERE ImprovementType = 'IMPROVEMENT_MOAI';
------------------------------
-- Building_ImprovementYieldChanges
------------------------------	
INSERT INTO Building_ImprovementYieldChanges
		(BuildingType, 			ImprovementType, 		YieldType, Yield)
VALUES	('BUILDING_WORKSHOP', 'IMPROVEMENT_JAR_MALOCA', 'YIELD_PRODUCTION', 1);
------------------------------	
-- Improvement_RouteYieldChanges
------------------------------
INSERT INTO Improvement_RouteYieldChanges
		(ImprovementType, 		 RouteType, YieldType, Yield)
SELECT 	'IMPROVEMENT_JAR_MALOCA', RouteType, YieldType, Yield
FROM Improvement_RouteYieldChanges WHERE ImprovementType = 'IMPROVEMENT_TRADING_POST';
--==========================================================================================================================
-- Builds
--==========================================================================================================================
INSERT INTO Builds		
		(Type,				PrereqTech,			ImprovementType, 			Description, 							Help, 										Recommendation, 							Time, EntityEvent, 			OrderPriority, 	IconIndex, 	IconAtlas)
SELECT 	'BUILD_JAR_MALOCA',	'TECH_CALENDAR',	'IMPROVEMENT_JAR_MALOCA',	'TXT_KEY_BUILD_IMPROVEMENT_JAR_MALOCA',	'TXT_KEY_BUILD_IMPROVEMENT_JAR_MALOCA_HELP',	'TXT_KEY_BUILD_IMPROVEMENT_JAR_MALOCA_REC',	Time, 'ENTITY_EVENT_BUILD',	95,				3,			'JAR_MARAJOARA_ICON_ATLAS'
FROM Builds WHERE Type='BUILD_PLANTATION';
------------------------------				
-- Unit_Builds
------------------------------				
INSERT INTO Unit_Builds	
		(UnitType, 	BuildType)
SELECT 	 Type,		'BUILD_JAR_MALOCA' FROM Units WHERE Class='UNITCLASS_WORKER';
--==========================================================================================================================
-- UnitPromotions
--==========================================================================================================================
INSERT INTO UnitPromotions 
(Type, 						Description, 						Help, 										Sound, 			LostWithUpgrade, OrderPriority, CannotBeChosen,	PortraitIndex, 	IconAtlas,						PediaType, 			PediaEntry) VALUES
('PROMOTION_JAR_TZAN_TZA',	'TXT_KEY_PROMOTION_JAR_TZAN_TZA',	'TXT_KEY_PROMOTION_JAR_TZAN_TZA_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			1,				0, 				'JAR_MARAJOARA_PROMO_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_TZAN_TZA'),
('PROMOTION_JAR_AMAZONIAN',	'TXT_KEY_PROMOTION_JAR_AMAZONIAN',	'TXT_KEY_PROMOTION_JAR_AMAZONIAN_HELP',	'AS2D_IF_LEVELUP',	0,				 0, 			1,				6, 				'promoVP_atlas_03', 			'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_AMAZONIAN'),
('PROMOTION_JAR_MBOIA',		'TXT_KEY_PROMOTION_JAR_MBOIA',		'TXT_KEY_PROMOTION_JAR_MBOIA_HELP',		'AS2D_IF_LEVELUP',	0,				 0, 			1,				1, 				'JAR_MARAJOARA_PROMO_ATLAS', 	'PEDIA_ATTRIBUTES', 'TXT_KEY_PROMOTION_JAR_MBOIA');
------------------------------				
-- UnitPromotions_YieldFromKills
------------------------------	
INSERT INTO UnitPromotions_YieldFromKills
		(PromotionType,			 	YieldType, Yield)
VALUES	('PROMOTION_JAR_TZAN_TZA','YIELD_FOOD', 150);
------------------------------				
-- UnitPromotions_Features
------------------------------	
INSERT INTO UnitPromotions_Features
		(PromotionType, 			FeatureType, DoubleMove, 	Attack,	Defense)
SELECT	'PROMOTION_JAR_AMAZONIAN', 	Type, 		 1,				25,		25
FROM Features WHERE Type IN ('FEATURE_FOREST','FEATURE_JUNGLE');
--==========================================================================================================================
-- Units
--==========================================================================================================================
INSERT INTO Units
		(Type,					Class,	CombatClass, PrereqTech, Cost,	Combat,		RangedCombat,	Range,	FaithCost, RequiresFaithPurchaseEnabled, Moves, BaseSightRange, LocalFaithPurchaseCooldown, GlobalFaithPurchaseCooldown, Special, Domain, DefaultUnitAI,	Description,					Help,									Strategy,									Civilopedia,								ShowInPedia,	Pillage, MilitarySupport, MilitaryProduction,	Mechanized,	IgnoreBuildingDefense, HurryCostModifier,	AdvancedStartCost,	MinAreaSize,	CombatLimit, XPValueAttack,	XPValueDefense, Conscription,	PurchaseCooldown,	 UnitArtInfo,						UnitFlagAtlas,					UnitFlagIconOffset, IconAtlas,					PortraitIndex,	MoveRate)
SELECT	'UNIT_JAR_NHEENGAIBAS',	Class,	CombatClass, PrereqTech, Cost,	Combat+1,	RangedCombat+1,	Range, 	FaithCost, RequiresFaithPurchaseEnabled, Moves, BaseSightRange, LocalFaithPurchaseCooldown, GlobalFaithPurchaseCooldown, Special, Domain, DefaultUnitAI,	'TXT_KEY_UNIT_JAR_NHEENGAIBAS',	'TXT_KEY_UNIT_JAR_NHEENGAIBAS_HELP',	'TXT_KEY_UNIT_JAR_NHEENGAIBAS_STRATEGY',	'TXT_KEY_CIV5_UNIT_JAR_NHEENGAIBAS_TEXT',	ShowInPedia,	Pillage, MilitarySupport, MilitaryProduction,	Mechanized,	IgnoreBuildingDefense, HurryCostModifier,	AdvancedStartCost,	MinAreaSize,	CombatLimit, XPValueAttack,	XPValueDefense, Conscription,	PurchaseCooldown,	 'ART_DEF_UNIT_JAR_NHEENGAIBAS',	'UNIT_JAR_NHEENGAIBAS_FLAG',	0,					'JAR_MARAJOARA_ICON_ATLAS',	5,				MoveRate
FROM Units WHERE Type = 'UNIT_COMPOSITE_BOWMAN';

INSERT INTO Units
		(Type, 					Class, Cost, Range, PrereqTech, Combat, 	RangedCombat, 	Moves, FaithCost,	RequiresFaithPurchaseEnabled, CombatClass, PurchaseCooldown, LocalFaithPurchaseCooldown, GlobalFaithPurchaseCooldown, MilitarySupport, MilitaryProduction,	Domain, Pillage, IgnoreBuildingDefense, GoodyHutUpgradeUnitClass, XPValueAttack, XPValueDefense, Conscription,  DefaultUnitAI, Description, 						Civilopedia, 								Help, 									Strategy,								MinAreaSize, AdvancedStartCost,	UnitArtInfo, 					  UnitFlagIconOffset,	UnitFlagAtlas,					PortraitIndex, 	IconAtlas)
SELECT	'UNIT_JAR_SNAKECANOE',	Class, Cost, Range, PrereqTech, Combat+3, 	RangedCombat+1, Moves, FaithCost,	RequiresFaithPurchaseEnabled, CombatClass, PurchaseCooldown, LocalFaithPurchaseCooldown, GlobalFaithPurchaseCooldown, MilitarySupport, MilitaryProduction,	Domain, Pillage, IgnoreBuildingDefense, GoodyHutUpgradeUnitClass, XPValueAttack, XPValueDefense, Conscription, DefaultUnitAI, ('TXT_KEY_UNIT_JAR_SNAKECANOE'),	('TXT_KEY_CIV5_UNIT_JAR_SNAKECANOE_TEXT'), 	('TXT_KEY_UNIT_JAR_SNAKECANOE_HELP'), 	('TXT_KEY_UNIT_JAR_SNAKECANOE_STRATEGY'),	MinAreaSize, AdvancedStartCost, 	('ART_DEF_UNIT_JAR_SNAKE_CANOE'),  0,					('UNIT_JAR_SNAKE_CANOE_FLAG'),	7, 				('JAR_MARAJOARA_ICON_ATLAS')
FROM Units WHERE (Type = 'UNIT_LIBURNA');
--==========================================================================================================================
-- UnitGameplay2DScripts
--==========================================================================================================================
INSERT INTO UnitGameplay2DScripts
		(UnitType, 					SelectionSound, FirstSelectionSound)
SELECT	('UNIT_JAR_NHEENGAIBAS'), 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_COMPOSITE_BOWMAN');

INSERT INTO UnitGameplay2DScripts
		(UnitType, 					SelectionSound, FirstSelectionSound)
SELECT	('UNIT_JAR_SNAKECANOE'), 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_LIBURNA');
--==========================================================================================================================
-- Unit_AITypes
--==========================================================================================================================
INSERT INTO Unit_AITypes
		(UnitType, 					UnitAIType)
SELECT	('UNIT_JAR_NHEENGAIBAS'), 	UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_COMPOSITE_BOWMAN');

INSERT INTO Unit_AITypes
		(UnitType, 					UnitAIType)
SELECT	('UNIT_JAR_SNAKECANOE'), UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_LIBURNA');
--==========================================================================================================================
-- Unit_ClassUpgrades
--==========================================================================================================================
INSERT INTO Unit_ClassUpgrades
		(UnitType, 					UnitClassType)
SELECT	('UNIT_JAR_NHEENGAIBAS'), 	UnitClassType
FROM Unit_ClassUpgrades WHERE (UnitType = 'UNIT_COMPOSITE_BOWMAN');

UPDATE Units SET
ObsoleteTech = (select a.ObsoleteTech from Units a, Unit_ClassUpgrades b, UnitClasses c WHERE b.UnitType='UNIT_JAR_NHEENGAIBAS' and b.UnitClassType=c.Type and c.DefaultUnit=a.Type)
WHERE (Type = 'UNIT_JAR_NHEENGAIBAS');

INSERT INTO Unit_ClassUpgrades
		(UnitType, 					UnitClassType)
SELECT	('UNIT_JAR_SNAKECANOE'), UnitClassType
FROM Unit_ClassUpgrades WHERE (UnitType = 'UNIT_LIBURNA');

UPDATE Units SET
ObsoleteTech = (select a.ObsoleteTech from Units a, Unit_ClassUpgrades b, UnitClasses c WHERE b.UnitType='UNIT_JAR_SNAKECANOE' and b.UnitClassType=c.Type and c.DefaultUnit=a.Type)
WHERE (Type = 'UNIT_JAR_SNAKECANOE');
--==========================================================================================================================
-- Unit_Flavors
--==========================================================================================================================
INSERT INTO Unit_Flavors
		(UnitType, 					FlavorType, Flavor)
SELECT	'UNIT_JAR_NHEENGAIBAS', 	FlavorType, Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_COMPOSITE_BOWMAN');

INSERT INTO Unit_Flavors
		(UnitType, 					FlavorType, Flavor)
SELECT	'UNIT_JAR_SNAKECANOE', 	FlavorType, Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_LIBURNA');
--==========================================================================================================================
-- Unit_FreePromotions
--==========================================================================================================================
INSERT INTO Unit_FreePromotions
		(UnitType, 				PromotionType)
SELECT	'UNIT_JAR_NHEENGAIBAS',	PromotionType
FROM Unit_FreePromotions WHERE (UnitType = 'UNIT_COMPOSITE_BOWMAN');

INSERT INTO Unit_FreePromotions
		(UnitType, 					PromotionType)
SELECT	'UNIT_JAR_SNAKECANOE',	PromotionType
FROM Unit_FreePromotions WHERE (UnitType = 'UNIT_LIBURNA');

INSERT INTO Unit_FreePromotions 	
		(UnitType, 					PromotionType)
VALUES	('UNIT_JAR_NHEENGAIBAS', 	'PROMOTION_JAR_TZAN_TZA'),
		('UNIT_JAR_NHEENGAIBAS', 	'PROMOTION_JAR_AMAZONIAN'),
		('UNIT_JAR_SNAKECANOE', 	'PROMOTION_JAR_MBOIA');
--==========================================================================================================================	
-- Leaders
--==========================================================================================================================			
INSERT INTO Leaders 
		(Type, 						Description, 						Civilopedia, 									CivilopediaTag, 								ArtDefineTag, 			VictoryCompetitiveness, WonderCompetitiveness, 	MinorCivCompetitiveness, 	Boldness, 	DiploBalance, 	WarmongerHate, 	DenounceWillingness, 	DoFWillingness, Loyalty, 	Neediness, 	Forgiveness, 	Chattiness, Meanness, 	IconAtlas, 					PortraitIndex)
VALUES	('LEADER_JAR_MARAJOARA', 	'TXT_KEY_LEADER_JAR_MARAJOARA', 	'TXT_KEY_CIVILOPEDIA_LEADER_JAR_MARAJOARA', 	'TXT_KEY_CIVILOPEDIA_LEADER_JAR_MARAJOARA', 	'Marajo_Scene.xml',		4, 						6, 						3, 							7, 			6, 				4, 				6, 						6, 				5, 			8, 			6, 				4, 			6, 			'JAR_MARAJOARA_ICON_ATLAS',		0);

UPDATE Leaders SET Personality = 'PERSONALITY_COALITION'
WHERE Type = 'LEADER_JAR_MARAJOARA';
--==========================================================================================================================	
-- Leader_MajorCivApproachBiases
--==========================================================================================================================						
INSERT INTO Leader_MajorCivApproachBiases 
		(LeaderType, 				MajorCivApproachType, 				Bias)
VALUES	('LEADER_JAR_MARAJOARA', 	'MAJOR_CIV_APPROACH_WAR', 			6),
		('LEADER_JAR_MARAJOARA', 	'MAJOR_CIV_APPROACH_HOSTILE', 		5),
		('LEADER_JAR_MARAJOARA', 	'MAJOR_CIV_APPROACH_DECEPTIVE', 	3),
		('LEADER_JAR_MARAJOARA', 	'MAJOR_CIV_APPROACH_GUARDED', 		6),
		('LEADER_JAR_MARAJOARA', 	'MAJOR_CIV_APPROACH_AFRAID', 		3),
		('LEADER_JAR_MARAJOARA', 	'MAJOR_CIV_APPROACH_FRIENDLY', 		5),
		('LEADER_JAR_MARAJOARA', 	'MAJOR_CIV_APPROACH_NEUTRAL', 		6);
--==========================================================================================================================	
-- Leader_MajorCivApproachBiases
--==========================================================================================================================						
INSERT INTO Leader_MinorCivApproachBiases 
		(LeaderType, 			MinorCivApproachType, 				Bias)
VALUES	('LEADER_JAR_MARAJOARA', 	'MINOR_CIV_APPROACH_IGNORE', 		5),
		('LEADER_JAR_MARAJOARA', 	'MINOR_CIV_APPROACH_FRIENDLY', 		4),
		('LEADER_JAR_MARAJOARA', 	'MINOR_CIV_APPROACH_PROTECTIVE', 	3),
		('LEADER_JAR_MARAJOARA', 	'MINOR_CIV_APPROACH_CONQUEST', 		7),
		('LEADER_JAR_MARAJOARA', 	'MINOR_CIV_APPROACH_BULLY', 		7);
--==========================================================================================================================	
-- Leader_Flavors
--==========================================================================================================================						
INSERT INTO Leader_Flavors 
		(LeaderType, 				FlavorType, 						Flavor)
VALUES	('LEADER_JAR_MARAJOARA', 	'FLAVOR_OFFENSE', 					6),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_DEFENSE', 					8),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_CITY_DEFENSE', 				6),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_MILITARY_TRAINING', 		5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_RECON', 					4),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_RANGED', 					9),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_MOBILE', 					3),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_NAVAL', 					7),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_NAVAL_RECON', 				6),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_NAVAL_GROWTH', 				7),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_NAVAL_TILE_IMPROVEMENT', 	5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_AIR', 						4),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_EXPANSION', 				7),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_GROWTH', 					8),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_TILE_IMPROVEMENT', 			6),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_INFRASTRUCTURE', 			8),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_PRODUCTION', 				6),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_GOLD', 						3),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_SCIENCE', 					5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_CULTURE', 					6),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_HAPPINESS', 				4),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_GREAT_PEOPLE', 				5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_WONDER', 					5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_RELIGION', 					7),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_DIPLOMACY', 				3),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_SPACESHIP', 				2),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_WATER_CONNECTION', 			5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_NUKE', 						3),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_USE_NUKE', 					8),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_ESPIONAGE', 				5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_AIRLIFT', 					3),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_I_TRADE_DESTINATION', 		5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_I_TRADE_ORIGIN', 			5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_I_SEA_TRADE_ROUTE', 		5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_I_LAND_TRADE_ROUTE', 		5),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_ARCHAEOLOGY', 				3),
		('LEADER_JAR_MARAJOARA', 	'FLAVOR_AIR_CARRIER', 				3);
--==========================================================================================================================	
-- Leader_Traits
--==========================================================================================================================						
INSERT INTO Leader_Traits 
		(LeaderType, 				TraitType)
VALUES	('LEADER_JAR_MARAJOARA', 	'TRAIT_JAR_MARAJOARA');
--==========================================================================================================================
-- Traits
--==========================================================================================================================
INSERT INTO Traits 
		(Type, 						Description, 					ShortDescription)
VALUES	('TRAIT_JAR_MARAJOARA',		'TXT_KEY_TRAIT_JAR_MARAJO',	'TXT_KEY_TRAIT_JAR_MARAJO_SHORT');	
--==========================================================================================================================
-- Trait_NoBuilds
--==========================================================================================================================	
INSERT INTO Trait_NoBuilds	
		(TraitType, 			BuildType) 
VALUES	('TRAIT_JAR_MARAJOARA',	'BUILD_FARM'),
		('TRAIT_JAR_MARAJOARA',	'BUILD_TRADING_POST'),
		('TRAIT_JAR_MARAJOARA',	'BUILD_ACADEMY'),
		('TRAIT_JAR_MARAJOARA',	'BUILD_CUSTOMS_HOUSE'),
		('TRAIT_JAR_MARAJOARA',	'BUILD_MANUFACTORY'),
		('TRAIT_JAR_MARAJOARA',	'BUILD_HOLY_SITE'),
		('TRAIT_JAR_MARAJOARA',	'BUILD_CITADEL');
--==========================================================================================================================
-- Trait_BuildsUnitClasses
--==========================================================================================================================
INSERT INTO Trait_BuildsUnitClasses	
		(TraitType, 			UnitClassType, 			BuildType)
SELECT	'TRAIT_JAR_MARAJOARA', 'UNITCLASS_WORKER', 		Type||'_MARAJO' FROM Builds WHERE Type IN ('BUILD_FARM', 'BUILD_TRADING_POST') UNION ALL
SELECT	'TRAIT_JAR_MARAJOARA', 'UNITCLASS_SCIENTIST',	'BUILD_ACADEMY_MARAJO' UNION ALL
SELECT	'TRAIT_JAR_MARAJOARA', 'UNITCLASS_MERCHANT',	'BUILD_CUSTOMS_HOUSE_MARAJO' UNION ALL
SELECT	'TRAIT_JAR_MARAJOARA', 'UNITCLASS_ENGINEER',	'BUILD_MANUFACTORY_MARAJO' UNION ALL
SELECT	'TRAIT_JAR_MARAJOARA', 'UNITCLASS_PROPHET',		'BUILD_HOLY_SITE_MARAJO' UNION ALL
SELECT	'TRAIT_JAR_MARAJOARA', 'UNITCLASS_GREAT_GENERAL',	'BUILD_CITADEL_MARAJO';
--==========================================================================================================================
-- Builds
--==========================================================================================================================
INSERT INTO Builds
		(ShowInPedia, ShowInTechTree, 	Type, 				Description, Help, DisabledHelp, Recommendation, HotKey, HotKeyAlt, HotKeyPriority, HotKeyPriorityAlt, OrderPriority, AltDown, AltDownAlt, ShiftDown, ShiftDownAlt, CtrlDown, CtrlDownAlt, Time, Cost, CostIncreasePerImprovement, Kill, Repair, RemoveRoute, Water, CanBeEmbarked, KillOnlyCivilian, PrereqTech, ObsoleteTech, ImprovementType, RouteType, EntityEvent, IconIndex, IconAtlas)
SELECT		0,					0, 		Type||'_MARAJO', 	Description, Help, DisabledHelp, Recommendation, HotKey, HotKeyAlt, HotKeyPriority, HotKeyPriorityAlt, OrderPriority, AltDown, AltDownAlt, ShiftDown, ShiftDownAlt, CtrlDown, CtrlDownAlt, Time, Cost, CostIncreasePerImprovement, Kill, Repair, RemoveRoute, Water, CanBeEmbarked, KillOnlyCivilian, PrereqTech, ObsoleteTech, ImprovementType, RouteType, EntityEvent, IconIndex, IconAtlas
FROM Builds WHERE Type IN ('BUILD_FARM', 'BUILD_TRADING_POST', 'BUILD_ACADEMY', 'BUILD_CUSTOMS_HOUSE', 'BUILD_MANUFACTORY', 'BUILD_CITADEL', 'BUILD_HOLY_SITE');
--==========================================================================================================================
-- BuildFeatures
--==========================================================================================================================
INSERT INTO BuildFeatures	
		(BuildType, 		FeatureType, Remove)
SELECT	Type||'_MARAJO',	'FEATURE_MARSH',  0		FROM Builds WHERE Type IN ('BUILD_FARM', 'BUILD_TRADING_POST', 'BUILD_ACADEMY', 'BUILD_CUSTOMS_HOUSE', 'BUILD_MANUFACTORY', 'BUILD_CITADEL', 'BUILD_HOLY_SITE') UNION ALL
SELECT	Type||'_MARAJO',	'FEATURE_JUNGLE', 0		FROM Builds WHERE Type IN ('BUILD_FARM', 'BUILD_TRADING_POST', 'BUILD_ACADEMY', 'BUILD_CUSTOMS_HOUSE', 'BUILD_MANUFACTORY', 'BUILD_CITADEL', 'BUILD_HOLY_SITE') UNION ALL
SELECT	Type||'_MARAJO',	'FEATURE_FOREST', 0		FROM Builds WHERE Type IN ('BUILD_FARM', 'BUILD_TRADING_POST', 'BUILD_ACADEMY', 'BUILD_CUSTOMS_HOUSE', 'BUILD_MANUFACTORY', 'BUILD_CITADEL', 'BUILD_HOLY_SITE');
--==========================================================================================================================	
-- Civilizations
--==========================================================================================================================				
INSERT INTO Civilizations 	
		(Type, 							Description, 						ShortDescription, 							Adjective, 								Civilopedia, 							CivilopediaTag, 				DefaultPlayerColor, 			ArtDefineTag, ArtStyleType,		ArtStyleSuffix, ArtStylePrefix, IconAtlas, 					PortraitIndex, 	AlphaIconAtlas, 				SoundtrackTag, 	MapImage, 				DawnOfManQuote, 							DawnOfManImage)
SELECT	('CIVILIZATION_JAR_MARAJOARA'), ('TXT_KEY_CIV_JAR_MARAJOARA_DESC'), ('TXT_KEY_CIV_JAR_MARAJOARA_SHORT_DESC'),	('TXT_KEY_CIV_JAR_MARAJOARA_ADJECTIVE'), ('TXT_KEY_CIV5_JAR_MARAJOARA_TEXT_1'), ('TXT_KEY_CIV5_JAR_MARAJOARA'), ('PLAYERCOLOR_JAR_MARAJOARA'), 	ArtDefineTag, ArtStyleType,		ArtStyleSuffix,	ArtStylePrefix,	('JAR_MARAJOARA_ICON_ATLAS'), 		1, 		('JAR_MARAJOARA_ALPHA_ATLAS'), 	'Iroquois', 	('MarajoMap412.dds'), 	('TXT_KEY_CIV5_DOM_JAR_MARAJOARA_TEXT'), 	('MarajoDoM.dds')
FROM Civilizations WHERE (Type = 'CIVILIZATION_INCA');
--==========================================================================================================================	
-- Civilization_CityNames
--==========================================================================================================================			
INSERT INTO Civilization_CityNames 
		(CivilizationType, 			 CityName)
VALUES	('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_01'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_02'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_03'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_04'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_05'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_06'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_07'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_08'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_09'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_10'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_11'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_12'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_13'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_14'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_15'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_16'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_17'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_18'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_19'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_20'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_21'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_22'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_23'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_24'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_25'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_26'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_CITY_NAME_JAR_MARAJOARA_27');
--==========================================================================================================================	
-- Civilization_FreeBuildingClasses
--==========================================================================================================================			
INSERT INTO Civilization_FreeBuildingClasses 
		(CivilizationType, 					BuildingClassType)
SELECT	('CIVILIZATION_JAR_MARAJOARA'), 	BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE (CivilizationType = 'CIVILIZATION_INCA');
--==========================================================================================================================	
-- Civilization_FreeTechs
--==========================================================================================================================		
INSERT INTO Civilization_FreeTechs 
		(CivilizationType, 					TechType)
SELECT	('CIVILIZATION_JAR_MARAJOARA'), 	TechType
FROM Civilization_FreeTechs WHERE (CivilizationType = 'CIVILIZATION_INCA');
--==========================================================================================================================	
-- Civilization_FreeUnits
--==========================================================================================================================		
INSERT INTO Civilization_FreeUnits 
		(CivilizationType, 					UnitClassType, Count, UnitAIType)
SELECT	('CIVILIZATION_JAR_MARAJOARA'), 	UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE (CivilizationType = 'CIVILIZATION_INCA');
--==========================================================================================================================	
-- Civilization_Start_Along_Ocean
--==========================================================================================================================
INSERT INTO Civilization_Start_Along_Ocean 
		(CivilizationType, 					StartAlongOcean)
VALUES	('CIVILIZATION_JAR_MARAJOARA', 		1);
--==========================================================================================================================	
-- Civilization_Start_Region_Priority
--==========================================================================================================================			
INSERT INTO Civilization_Start_Region_Priority 
		(CivilizationType, 				RegionType)
VALUES	('CIVILIZATION_JAR_MARAJOARA', 	'REGION_FOREST'),
		('CIVILIZATION_JAR_MARAJOARA', 	'REGION_JUNGLE');
--==========================================================================================================================	
-- Civilization_Leaders
--==========================================================================================================================			
INSERT INTO Civilization_Leaders 
		(CivilizationType, 				LeaderheadType)
VALUES	('CIVILIZATION_JAR_MARAJOARA', 	'LEADER_JAR_MARAJOARA');	
--==========================================================================================================================	
-- Civilization_UnitClassOverrides 
--==========================================================================================================================		
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 				UnitClassType, 		UnitType)
VALUES	('CIVILIZATION_JAR_MARAJOARA', 	'UNITCLASS_COMPOSITE_BOWMAN',	'UNIT_JAR_NHEENGAIBAS'),
		('CIVILIZATION_JAR_MARAJOARA', 	'UNITCLASS_LIBURNA',	'UNIT_JAR_SNAKECANOE');
--==========================================================================================================================	
-- Civilization_BuildingClassOverrides 
--==========================================================================================================================		
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 					BuildingClassType,		BuildingType)
VALUES	('CIVILIZATION_JAR_MARAJOARA', 	'BUILDINGCLASS_WELL',		'BUILDING_JAR_TESO'),
		('CIVILIZATION_JAR_MARAJOARA', 	'BUILDINGCLASS_WATERMILL',	NULL);
--==========================================================================================================================	
-- Civilization_Religions
--==========================================================================================================================		
INSERT INTO Civilization_Religions 
		(CivilizationType, 				ReligionType)
SELECT	'CIVILIZATION_JAR_MARAJOARA', 	ReligionType
FROM Civilization_Religions WHERE (CivilizationType = 'CIVILIZATION_INCA');
--==========================================================================================================================	
-- Civilization_SpyNames
--==========================================================================================================================		
INSERT INTO Civilization_SpyNames 
		(CivilizationType, 				SpyName)
VALUES	('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_0'),	
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_1'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_2'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_3'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_4'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_5'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_6'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_7'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_8'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_9'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_10'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_11'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_12'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_13'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_14'),
		('CIVILIZATION_JAR_MARAJOARA', 	'TXT_KEY_SPY_NAME_JAR_MARAJOARA_15');
--==========================================================================================================================	
-- Language_en_US
--==========================================================================================================================
INSERT OR REPLACE INTO Language_en_US (Tag, Text)
SELECT 'TXT_KEY_BUILDING_JAR_TESO_HELP', '4% of [ICON_FOOD] Food is carried over after a new [ICON_CITIZEN] Citizen is born. [NEWLINE]Whenever the City reaches a population that is multiple of 5 it can construct another Teso (max. 40 [ICON_CITIZEN] Citizens). The additional Tesos provide +1 [ICON_FOOD] Food, +2 [ICON_PRODUCTION] Production, +1 [ICON_STRENGTH] City Defense, and +2% of [ICON_FOOD] Food is carried over after a new [ICON_CITIZEN] Citizen is born. [NEWLINE]'||Text
FROM Language_en_US WHERE Tag='TXT_KEY_BUILDING_WELL_HELP';

UPDATE Language_en_US SET Text = REPLACE(Text, '[NEWLINE][NEWLINE]City must not be built next to a River.', '')
WHERE Tag = 'TXT_KEY_BUILDING_JAR_TESO_HELP';
--==========================================================================================================================		
--==========================================================================================================================						
			
			

