--==========================================================================================================================
-- MASTER TABLES
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
CREATE TABLE IF NOT EXISTS Civilization_JFD_ColonialCityNames(CivilizationType text, ColonyName text, LinguisticType text);
CREATE TABLE IF NOT EXISTS Civilization_JFD_Governments(CivilizationType text, CultureType text, LegislatureName text, OfficeTitle text, GovernmentType text, Weight integer);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMP(CivilizationType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMPRequestedResource(CivilizationType, MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4);
CREATE TABLE IF NOT EXISTS MinorCivilizations_YnAEMP(MinorCivType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
--==========================================================================================================================
-- BrutalSamurai's Ethnic Units/Gedemon's R.E.D.
--==========================================================================================================================
-- Civilizations
------------------------------
UPDATE Civilizations 
SET ArtStyleSuffix = (CASE WHEN EXISTS(SELECT ArtStyleSuffix FROM Civilizations WHERE ArtStyleSuffix = '_INCA' )
	THEN '_INCA'
	ELSE '_AMER' END) 
WHERE Type = 'CIVILIZATION_JAR_MARAJOARA';
--==========================================================================================================================
-- HAZEL MAP LABELS
--==========================================================================================================================
-- ML_CivCultures
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS ML_CivCultures(CivType, CultureType, CultureEra);
INSERT OR REPLACE INTO ML_CivCultures
		(CivType,						CultureType,		CultureEra)
SELECT 'CIVILIZATION_JAR_MARAJOARA', 	'FIRST_AMERICANS', 		'ANY' UNION ALL
SELECT 'CIVILIZATION_JAR_MARAJOARA', 	'MOD_TP_SOUTH_AMERICAN','ANY';
--==========================================================================================================================
-- TOMATEKH'S HISTORICAL RELIGIONS COMPLETE
--==========================================================================================================================
UPDATE Civilization_Religions SET ReligionType =
( CASE WHEN EXISTS(SELECT TYPE FROM Religions WHERE Type="RELIGION_PAJELANCA" )
THEN "RELIGION_PAJELANCA"
ELSE "RELIGION_CHRISTIANITY" END
) WHERE CivilizationType = "CIVILIZATION_JAR_MARAJOARA";
------------------------------------------------------------------------------------------------------------------------
-- Civilizations_YnAEMP
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMP
		(CivilizationType,				MapPrefix,			X,	Y)
VALUES	('CIVILIZATION_JAR_MARAJOARA',	'Cordiform',		18,	16),
		('CIVILIZATION_JAR_MARAJOARA',	'GreatestEarth',	29,	21),
		('CIVILIZATION_JAR_MARAJOARA',	'Yagem',			165,	35),
		('CIVILIZATION_JAR_MARAJOARA',	'Yahem',			40,	32),
		('CIVILIZATION_JAR_MARAJOARA',	'EarthMk3',			163,	36),
		('CIVILIZATION_JAR_MARAJOARA',	'Americas',			56,	32),
		('CIVILIZATION_JAR_MARAJOARA',	'AmericasGiant',	107, 69),
		('CIVILIZATION_JAR_MARAJOARA',	'AtlanticGiant',	64,	25),
		('CIVILIZATION_JAR_MARAJOARA',	'SouthAmericaCentralGiant',	99, 99),
		('CIVILIZATION_JAR_MARAJOARA',	'SouthAmericaCentralHuge',	77,	74),
		('CIVILIZATION_JAR_MARAJOARA',	'SouthAmericaGiant',		86,	18),
		('CIVILIZATION_JAR_MARAJOARA',	'SouthAmericaLarge',		62,	72);
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_YagemRequestedResource
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilizations_YnAEMPRequestedResource
		(CivilizationType, 				MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4)
SELECT	'CIVILIZATION_JAR_MARAJOARA',	MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4
FROM Civilizations_YnAEMPRequestedResource WHERE CivilizationType = 'CIVILIZATION_INCA';
--==========================================================================================================================
-- Civilization_JFD_CultureTypes
--==========================================================================================================================
UPDATE JFD_CultureTypes SET DefeatScreenTag = 'DefeatScreen_JFD_Katuje', SplashScreenTag = 'JFD_Katuje'
WHERE Type='CULTURE_JFD_AMAZONIAN';
	
CREATE TABLE IF NOT EXISTS Civilization_JFD_CultureTypes(CivilizationType, CultureType, SubCultureType, ArtDefineTag, DecisionsTag, DefeatScreenEarlyTag, DefeatScreenMidTag, DefeatScreenLateTag, IdealsTag, SplashScreenTag,	SoundtrackTag, UnitDialogueTag);
INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,				CultureType, 				UnitDialogueTag)
SELECT	'CIVILIZATION_JAR_MARAJOARA',	'CULTURE_JFD_AMAZONIAN', 	UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_INCA';
--=======================================================================================================================
--=======================================================================================================================

